Your submission was sent successfully! Close

CVE-2018-20836

Published: 7 May 2019

An issue was discovered in the Linux kernel before 4.20. There is a race condition in smp_task_timedout() and smp_task_done() in drivers/scsi/libsas/sas_expander.c, leading to a use-after-free.

From the Ubuntu security team

It was discovered that a race condition existed in the Serial Attached SCSI (SAS) implementation in the Linux kernel. A local attacker could possibly use this to cause a denial of service (system crash) or execute arbitrary code.

Priority

Low

CVSS 3 base score: 8.1

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-44.47)
cosmic
Released (4.18.0-14.15)
disco Not vulnerable
(4.19.0-12.13)
precise Ignored
(was needs-triage ESM criteria)
trusty Ignored
(was needs-triage ESM criteria)
upstream
Released (4.20~rc1)
xenial
Released (4.4.0-157.185)
linux-aws
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1032.34)
cosmic
Released (4.18.0-1008.10)
disco Not vulnerable
(4.18.0-1008.10)
precise Does not exist

trusty Ignored
(was needed ESM criteria)
upstream
Released (4.20~rc1)
xenial
Released (4.4.0-1090.101)
linux-aws-hwe
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial
Released (4.15.0-1032.34~16.04.1)
linux-azure
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1037.39)
cosmic
Released (4.18.0-1008.8)
disco Not vulnerable
(4.18.0-1008.8)
precise Does not exist

trusty Ignored
(was needs-triage ESM criteria)
upstream
Released (4.20~rc1)
xenial
Released (4.15.0-1037.39~16.04.1)
linux-azure-edge
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1037.39)
cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial
Released (4.15.0-1037.39~16.04.1)
linux-euclid
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Ignored
(was needs-triage now end-of-life)
linux-flo
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Ignored
(abandoned)
linux-gcp
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1027.28)
cosmic
Released (4.18.0-1006.7)
disco Not vulnerable
(4.18.0-1006.7)
precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial
Released (4.15.0-1027.28~16.04.1)
linux-gcp-edge
Launchpad, Ubuntu, Debian
bionic
Released (4.18.0-1006.7~18.04.1)
cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Does not exist

linux-gke
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Ignored
(end-of-life)
linux-gke-4.15
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(4.15.0-1030.32)
disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Does not exist

linux-gke-5.0
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(5.0.0-1011.11~18.04.1)
disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Does not exist

linux-goldfish
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Ignored
(end-of-life)
linux-grouper
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Does not exist

linux-hwe
Launchpad, Ubuntu, Debian
bionic
Released (4.18.0-14.15~18.04.1)
cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial
Released (4.15.0-45.48~16.04.1)
linux-hwe-edge
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(5.0.0-15.16~18.04.1)
cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial
Released (4.15.0-45.48~16.04.1)
linux-kvm
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1029.29)
cosmic
Released (4.18.0-1007.7)
disco Not vulnerable
(4.18.0-1007.7)
precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial
Released (4.4.0-1052.59)
linux-lts-trusty
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Ignored
(was needs-triage ESM criteria)
trusty Does not exist

upstream
Released (4.20~rc1)
xenial Does not exist

linux-lts-utopic
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Does not exist

linux-lts-vivid
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Does not exist

linux-lts-wily
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Does not exist

linux-lts-xenial
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Ignored
(was needs-triage ESM criteria)
upstream
Released (4.20~rc1)
xenial Does not exist

linux-maguro
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Does not exist

linux-mako
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Ignored
(abandoned)
linux-manta
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Does not exist

linux-oem
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1033.38)
cosmic
Released (4.15.0-1033.38)
disco Not vulnerable
(4.15.0-1033.38)
precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial Ignored
(was needs-triage now end-of-life)
linux-oracle
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1008.10)
cosmic
Released (4.15.0-1008.10)
disco Not vulnerable
(4.15.0-1008.10)
precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial
Released (4.15.0-1008.10~16.04.1)
linux-raspi2
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1031.33)
cosmic
Released (4.18.0-1009.11)
disco Not vulnerable
(4.18.0-1009.11)
precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial
Released (4.4.0-1117.126)
linux-snapdragon
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1053.57)
cosmic Does not exist

disco Not vulnerable
(5.0.0-1010.10)
precise Does not exist

trusty Does not exist

upstream
Released (4.20~rc1)
xenial
Released (4.4.0-1121.127)